# Uses of Interface
java.lang.classfile.ClassFile.ClassHierarchyResolverOption

Packages that use ClassFile.ClassHierarchyResolverOption
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile.ClassHierarchyResolverOption in java.lang.classfile

Methods in java.lang.classfile that return ClassFile.ClassHierarchyResolverOption
Modifier and Type
Method
Description
`static ClassFile.ClassHierarchyResolverOption`
ClassFile.ClassHierarchyResolverOption.`of(ClassHierarchyResolver classHierarchyResolver)`
Returns an option describing the class hierarchy resolver to use.